## wxHyperlinkEvent

This event class is used for the events generated by wxHyperlinkCtrl.

Derived from

wxCommandEvent
wxEvent
wxObject

Include files

<wx/hyperlink.h>

Event handling

To process input from a wxHyperlinkCtrl, use one of these event handler macros to direct input to member function that take a wxHyperlinkEvent argument:

EVT_HYPERLINK(id, func) | User clicked on an hyperlink.

Members

wxHyperlinkEvent::wxHyperlinkEvent
wxHyperlinkEvent::GetURL
wxHyperlinkEvent::SetURL

### wxHyperlinkEvent::wxHyperlinkEvent

wxHyperlinkEvent(wxObject * generator, int id, const wxString & url)

The constructor is not normally used by the user code.

### wxHyperlinkEvent::GetURL

wxString GetURL() const

Returns the URL of the hyperlink where the user has just clicked.

### wxHyperlinkEvent::SetURL

void SetURL(const wxString & url)

Sets the URL associated with the event.